<template>
  <v-container fluid>
    <h3 class="display-1 text-center font-weight-bold mb-5 mt-1 accent--text">
      No more guessing. No more surprises. No more hassle.
    </h3>
    <v-row>
      <v-col v-for="(feature, idx) in features" :key="idx" cols="12" md="4">
        <v-card
          elevation="12"
          class="py-3 d-flex justify-center align-center flex-column"
          style="border: 1px solid var(--v-accent-base);"
          height="270"
        >
          <v-img class="center" contain height="80" :src="feature.img">
            <template v-slot:placeholder>
              <v-row
                class="fill-height ma-0"
                align="center"
                justify="center"
              >
                <div class="lds-ripple">
                  <div /><div />
                </div>
              </v-row>
            </template>
          </v-img>
          <v-card-title class="text-center justify-center no-break-word">
            {{ feature.title }}
          </v-card-title>
          <v-card-text class="text-center justify-center no-break-word">
            {{ feature.text }}
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>
<style>
.no-break-word {
  word-break: break-word;
}
</style>
<script>
export default {
  name: 'AppFeatures',
  data: () => ({
    features: [
      {
        img: require('@/assets/img/deals.png'),
        title: 'Deals for Every Budget',
        text: 'Incredible prices on apartments'
      },
      {
        img: require('@/assets/img/save.png'),
        title: 'Save Money',
        text: "We've already saved thousands of dollars"
      },
      {
        img: require('@/assets/img/100.png'),
        title: '100% Free Service',
        text: 'We make a small commission directly from the property. So we can help you find the best specials and rates, and make a stress free decision on your next apartment home.'
      },
      {
        img: require('@/assets/img/online.png'),
        title: 'Online & In Person',
        text: 'Why spend weeks looking for an apartment? Five minutes with us can save hours. Need more time? Look through out online database at your convenience, 24/7.'
      },
      {
        img: require('@/assets/img/personalized.png'),
        title: 'Personalized',
        text: "From neighborhoods to amenities, our agent’s expertise are unsurpassed. Tell us what your needs are and we'll share available units."
      },
      {
        img: require('@/assets/img/best.png'),
        title: 'Best Negotiated Deals',
        text: 'Find lower price?'
      }
    ]
  })
}
</script>

<style>
.v-application .elevation-12 {
  box-shadow: 0px 7px 8px -4px rgba(0, 0, 0, 0.1), 0px 12px 17px 2px rgba(0, 0, 0, 0.07), 0px 5px 22px 4px rgba(0, 0, 0, 0.06) !important;
}
</style>
